Bug 1179694 - (CVE-2020-29562) VUL-1: CVE-2020-29562: glibc: iconv fails an assertion in the code path and aborts the program when converting UCS4 text containing an irreversible character
(CVE-2020-29562)
VUL-1: CVE-2020-29562: glibc: iconv fails an assertion in the code path and a...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Andreas Schwab
Security Team bot
https://smash.suse.de/issue/272742/
CVSSv3.1:SUSE:CVE-2020-29562:6.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-07 13:31 UTC by Wolfgang Frisch
Modified: 2022-11-25 09:58 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Frisch 2020-12-07 13:31:31 UTC
CVE-2020-29562

The iconv function in the GNU C Library (aka glibc or libc6) 2.30 to 2.32, when
converting UCS4 text containing an irreversible character, fails an assertion in
the code path and aborts the program, potentially resulting in a denial of
service.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-29562
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-29562
https://sourceware.org/bugzilla/show_bug.cgi?id=26923
Comment 2 Wolfgang Frisch 2020-12-07 15:50:31 UTC
QA reproducer:
wget "https://sourceware.org/bugzilla/attachment.cgi?id=12978" -O test.c
gcc -o test test.c
./test

GOOD:
No output

FAIL:
test: ../iconv/skeleton.c:739: __gconv_transform_ucs4_internal: Assertion `outbuf == outerr' failed.
Aborted (core dumped)
Comment 3 Wolfgang Frisch 2020-12-07 15:54:47 UTC
SUSE:Carwos:1           Affected
SUSE:SLE-11-SP1:Update  Not affected [1]
SUSE:SLE-11-SP3:Update  Affected
SUSE:SLE-12-SP2:Update  Affected
SUSE:SLE-12-SP4:Update  Affected
SUSE:SLE-15:Update      Affected
SUSE:SLE-15-SP3:Update  Affected

[1] not reproducible
Comment 4 OBSbugzilla Bot 2020-12-16 17:10:16 UTC
This is an autogenerated message for OBS integration:
This bug (1179694) was mentioned in
https://build.opensuse.org/request/show/856526 Factory / glibc
Comment 8 Swamp Workflow Management 2021-02-26 23:18:34 UTC
SUSE-SU-2021:0653-1: An update that solves 5 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1178386,1179694,1179721,1180038,1181505,1182117
CVE References: CVE-2019-25013,CVE-2020-27618,CVE-2020-29562,CVE-2020-29573,CVE-2021-3326
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Manager Retail Branch Server 4.0 (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Manager Proxy 4.0 (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Linux Enterprise Server for SAP 15 (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Linux Enterprise Server 15-LTSS (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    glibc-2.26-13.56.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE Enterprise Storage 6 (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1
SUSE CaaS Platform 4.0 (src):    glibc-2.26-13.56.1, glibc-utils-src-2.26-13.56.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2021-02-28 02:16:20 UTC
openSUSE-SU-2021:0358-1: An update that solves 5 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1178386,1179694,1179721,1180038,1181505,1182117
CVE References: CVE-2019-25013,CVE-2020-27618,CVE-2020-29562,CVE-2020-29573,CVE-2021-3326
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    glibc-2.26-lp152.26.6.1, glibc-testsuite-src-2.26-lp152.26.6.1, glibc-utils-src-2.26-lp152.26.6.1
Comment 11 Swamp Workflow Management 2021-04-13 16:25:34 UTC
SUSE-SU-2021:1165-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1178386,1179694,1179721,1184034
CVE References: CVE-2020-27618,CVE-2020-29562,CVE-2020-29573
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    glibc-2.22-114.8.3
SUSE OpenStack Cloud 9 (src):    glibc-2.22-114.8.3
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    glibc-2.22-114.8.3
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    glibc-2.22-114.8.3
SUSE Linux Enterprise Server 12-SP5 (src):    glibc-2.22-114.8.3
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    glibc-2.22-114.8.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2022-08-24 16:16:59 UTC
SUSE-SU-2022:2886-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1027496,1178386,1179694,1179721,1181505,1182117,941234
CVE References: CVE-2015-5180,CVE-2016-10228,CVE-2019-25013,CVE-2020-27618,CVE-2020-29562,CVE-2020-29573,CVE-2021-3326
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP3-BCL (src):    glibc-2.22-126.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    glibc-2.22-126.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Marcus Meissner 2022-11-25 09:58:57 UTC
released